#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24

load "config.plt"
load "pal/plasma.pal"
set out "mars_REBOUND_ae.eps"
set size 0.8,0.75

set xl "{/Helvetica-Oblique a} [au]"
set yl "{/Helvetica-Oblique e}"
set cbl "mass [{/Helvetica-Oblique M}_E]"

set autoscale x
set autoscale y
set xr [1.20:1.525]
set ytics 0.02
#set mxtics 2
set cbr [0.00:0.80]
#set cbtics 0.001
set lmargin 7.0
set rmargin 2.1
set key at graph 0.95,0.30

e_osc  = 0.0934
e_prop = 0.052  
set label "{/=14{/Helvetica-Oblique e}_{osc}}"  at graph 0.91, first e_osc -0.005 front
set label "{/=14{/Helvetica-Oblique e}_{prop}}" at graph 0.91, first e_prop-0.005 front

p \
  "<awk '($1==5)' ../../mars_REBOUND_0.5EARTH_1.35*/out/*.txt" u 3:4 not w d lt 9,\
  "<tail -n 5 ../../mars_REBOUND_0.5EARTH_1.35*/out/*.txt | tac | awk '($1==1){ i=0; }($1==5){ print; i++; }($1==4) && (i==0){ print; }' | sort -g -r -k 9" u 3:4:($9*M_S/M_E) not w p pt 7 ps 1.0 lc palette z,\
  e_osc  not w l lt 0,\
  e_prop not w l lt 9

system "patch mars_REBOUND_ae.eps config.diff"

