#!/usr/bin/gnuplot

M_S = 1.989e30
M_E = 5.972e24
R_E = 6378.e3

dt = 0.314159
P = 20*dt

f(t) = t/P
g(m) = m*M_S/M_E * 4.0
t0 = 8500.

load "config.plt"
set out "mercury_REBOUND_xy.eps"

set xl "{/Helvetica-Oblique x} [au]"
set yl "{/Helvetica-Oblique y} [au]"

tmp=2.0
tmp=1.0
set xr [-tmp:tmp]
set yr [-tmp:tmp]
set size ratio -1
set zeroaxis
set nokey

set label " Mercury "   at -0.387*(1-0.206),0.05 left  font "Helvetica,12" tc ls 1
set label " Venus  "    at  0.0            ,0.50 right font "Helvetica,14" tc ls 2
set label "0.5 Earth  " at  0.0            ,0.90 right font "Helvetica,12" tc ls 3

a1=0.440
a2=0.723
da=0.020
set arrow from  a1+da,0 to  a2-da,0 ls 2 lw 3
set arrow from -a1-da,0 to -a2+da,0 ls 2 lw 3
set arrow from 0, a1+da to 0, a2-da ls 2 lw 3
set arrow from 0,-a1-da to 0,-a2+da ls 2 lw 3

p \
  "<head -5 ../../mercury_REBOUND_VENUSECC_0.44_0.420*/out/output_0.4210.txt | awk '($1==1)' | ./ellipse.awk" w l t "1" ls 1 lw 1,\
  "<head -5 ../../mercury_REBOUND_VENUSECC_0.44_0.420*/out/output_0.4210.txt | awk '($1==2)' | ./ellipse.awk" w l t "2" ls 2 lw 2,\
  "<head -5 ../../mercury_REBOUND_VENUSECC_0.44_0.420*/out/output_0.4210.txt | awk '($1==3)' | ./ellipse.awk" w l t "3" ls 3 lw 3,\
  "<head -5 ../../mercury_REBOUND_VENUSECC_0.44_0.420*/out/output_0.4210.txt | awk '($1==4)' | ./ellipse.awk" w l t "4" ls 4 lw 4,\
  "<head -5 ../../mercury_REBOUND_VENUSECC_0.44_0.420*/out/output_0.4210.txt | awk '($1==5)' | ./ellipse.awk" w l t "5" ls 5 lw 5,\
  "<tail -5 ../../mercury_REBOUND_VENUSECC_0.44_0.420*/out/output_0.4210.txt | awk '($1==1)' | ./ellipse.awk" w l not   ls 1 lw 2 dt 2,\
  "<tail -5 ../../mercury_REBOUND_VENUSECC_0.44_0.420*/out/output_0.4210.txt | awk '($1==2)' | ./ellipse.awk" w l not   ls 2 dt 2,\
  "<tail -5 ../../mercury_REBOUND_VENUSECC_0.44_0.420*/out/output_0.4210.txt | awk '($1==3)' | ./ellipse.awk" w l not   ls 3 dt 2,\
  "<tail -5 ../../mercury_REBOUND_VENUSECC_0.44_0.420*/out/output_0.4210.txt | awk '($1==4)' | ./ellipse.awk" w l not   ls 4 dt 2,\
  "<tail -5 ../../mercury_REBOUND_VENUSECC_0.44_0.420*/out/output_0.4210.txt | awk '($1==5)' | ./ellipse.awk" w l not   ls 5 dt 2,\
  "<./ellipse_DEG.awk Sun.dat"             w filledcurves ls 9,\
  "<./ellipse_DEG.awk Mercury_PERI180.dat" w l not ls 9 dt 3,\
  "<./ellipse_DEG.awk Venus.dat"           w l not ls 9 dt 3,\
  "<./ellipse_DEG.awk Earth.dat"           w l not ls 9 dt 3,\

system "patch mercury_REBOUND_xy.eps mercury_REBOUND_xy.eps.diff"

q

  "<tail -5 ../mercury/out/nbody.orbits.dat | awk '($1==1)' | ./ellipse.awk" w l not   ls 1 dt 2,\
  "<tail -5 ../mercury/out/nbody.orbits.dat | awk '($1==2)' | ./ellipse.awk" w l not   ls 2 dt 2,\
  "<tail -5 ../mercury/out/nbody.orbits.dat | awk '($1==3)' | ./ellipse.awk" w l not   ls 3 dt 2,\
  "<tail -5 ../mercury/out/nbody.orbits.dat | awk '($1==4)' | ./ellipse.awk" w l not   ls 4 dt 2,\
  "<tail -5 ../mercury/out/nbody.orbits.dat | awk '($1==5)' | ./ellipse.awk" w l not   ls 5 dt 2,\
