#!/usr/bin/gnuplot

deg = pi/180.
rad = 180./pi

M_S = 1.989e30
M_E = 5.972e24

dt = 0.314159
P = 20*dt

f(t) = t/P

load "config.plt"
Rmin=1.5
Rmax=4.0

set out "nbody.orbits.ae5_END.eps"

set xl "{/Helvetica-Oblique a} [au]"  offset 0.0,0
set yl "{/Helvetica-Oblique e} []" offset 0.5,0
set cbl "embryo or asteroid number" offset +0.0,0

set xr [1.5:4.0]
set logscale y
set autoscale y
y1=1.e-4
y2=0.3
set yr [y1:y2]
set ytics (\
  "10^{-4}" 1e-4 0,\
  ""        2e-4 1,\
  ""        3e-4 1,\
  ""        4e-4 1,\
  ""        5e-4 1,\
  ""        6e-4 1,\
  ""        7e-4 1,\
  ""        8e-4 1,\
  ""        9e-4 1,\
  "10^{-3}" 1e-3 0,\
  ""        2e-3 1,\
  ""        3e-3 1,\
  ""        4e-3 1,\
  ""        5e-3 1,\
  ""        6e-3 1,\
  ""        7e-3 1,\
  ""        8e-3 1,\
  ""        9e-3 1,\
  "0.01"    1e-2 0,\
  ""        2e-2 1,\
  ""        3e-2 1,\
  ""        4e-2 1,\
  ""        5e-2 1,\
  ""        6e-2 1,\
  ""        7e-2 1,\
  ""        8e-2 1,\
  ""        9e-2 1,\
  "0.1"     1e-1 0,\
  ""        2e-1 1,\
  ""        3e-1 1,\
  ""        4e-1 1,\
  ""        5e-1 1,\
  ""        6e-1 1,\
  ""        7e-1 1,\
  ""        8e-1 1,\
  ""        9e-1 1,\
  "1"       1    0 \
  )

set cbr [1:120]

set lmargin 7.0
set rmargin 1.5

#set label "initial conditions" at 1.65,1.e-3 font "Helvetica,12" rotate center front tc rgb '#666666'
#set label "{/Helvetica-Oblique t} = 24 kyr" at 1.65,0.35 font "Helvetica,12" rotate center front

p \
  "box.dat" u (Rmin+$2*(DampingRminFrac*Rmin-Rmin)):(y1+$1*(y2-y1)) w filledcurves not lc rgb '#cccccc',\
  "box.dat" u (Rmax-$2*(Rmax-DampingRmaxFrac*Rmax)):(y1+$1*(y2-y1)) w filledcurves not lc rgb '#dddddd',\
  "<head -120 ../mainbelt/out_PLEIADES/nbody.orbits.dat_20" u 3:4:1 not w p lc 9 lw 1.0 pt 1 ps 1,\
  "<head -120 ../mainbelt/out_PLEIADES/nbody.orbits.dat_20" u 3:4:($9*M_S/M_E/0.1*1.0) not w p lc 9 pt 7 ps var,\
  "<tail -120 ../mainbelt/out_PLEIADES/nbody.orbits.dat_20" u 3:4:1 not w p lc palette z pt 1 ps 1,\
  "<tail -120 ../mainbelt/out_PLEIADES/nbody.orbits.dat_20" u 3:4:($9*M_S/M_E/0.1*1.0):1 not w p lc palette z pt 7 ps var,\
  0.0013 w l not lt 0

#pa -1

q


