#!/usr/bin/gnuplot

dt = 0.314159
P = 20*dt

f(t) = t/P

load "config.plt"
set out "nbody.orbits.at1.eps"

set autoscale x
set autoscale y
set ytics 0.001
set nokey

set size 0.9,1.65
set multiplot
set origin 0,0
set size 0.9,0.4

p \
  "<awk '($1==1)' ../5planet_dissipating_FLUX2e-4/out_META/nbody.orbits.dat" u (f($2)):(sqrt($13**2+$14**2+$15**2)) not w d ls 1,\
  "<awk '($1==1)' ../5planet_dissipating_FLUX2e-4/out_META/nbody.orbits.dat" u (f($2)):3 t "1" w l ls 1 lw 2,\
  0.45  w l lt 0 not

set origin 0,0.31
set xl ""
set xtics format ""
set ytics 0.002

p \
  "<awk '($1==2)' ../5planet_dissipating_FLUX2e-4/out_META/nbody.orbits.dat" u (f($2)):(sqrt($13**2+$14**2+$15**2)) not w d ls 2,\
  "<awk '($1==2)' ../5planet_dissipating_FLUX2e-4/out_META/nbody.orbits.dat" u (f($2)):3 t "2" w l ls 2 lw 2,\
  0.723 w l lt 0 not

set origin 0,0.62
set ytics 0.001

p \
  "<awk '($1==3)' ../5planet_dissipating_FLUX2e-4/out_META/nbody.orbits.dat" u (f($2)):(sqrt($13**2+$14**2+$15**2)) not w d ls 3,\
  "<awk '($1==3)' ../5planet_dissipating_FLUX2e-4/out_META/nbody.orbits.dat" u (f($2)):3 t "3" w l ls 3 lw 2,\
  1.0   w l lt 0 not

set origin 0,0.93

p \
  "<awk '($1==4)' ../5planet_dissipating_FLUX2e-4/out_META/nbody.orbits.dat" u (f($2)):(sqrt($13**2+$14**2+$15**2)) not w d ls 4,\
  "<awk '($1==4)' ../5planet_dissipating_FLUX2e-4/out_META/nbody.orbits.dat" u (f($2)):3 t "4" w l ls 4 lw 2,\
  1.25  w l lt 0 not

set origin 0,1.24

p \
  "<awk '($1==5)' ../5planet_dissipating_FLUX2e-4/out_META/nbody.orbits.dat" u (f($2)):(sqrt($13**2+$14**2+$15**2)) not w d ls 5,\
  "<awk '($1==5)' ../5planet_dissipating_FLUX2e-4/out_META/nbody.orbits.dat" u (f($2)):3 t "5" w l ls 5 lw 2,\
  1.523 w l lt 0 not

#pa -1

unset multiplot

system "patch nbody.orbits.at1.eps config.diff"

q

