#!/usr/bin/gnuplot

h = 0.05
i = 0.0

set xlabel 'eccentricity'
set ylabel 'torque reductions factor'

set xrange [0:0.1]

Pe(x) = (1.0 + (x/2.25/h)**1.2 + (x/2.84/h)**6) / (1.0 - (x/2.02/h)**4)

DeltaL(x) = 1.0 / (Pe(x) + Pe(x)/abs(Pe(x)) * (0.07*i/h + 0.085*(i/h)**4 - 0.08*(x/h)*(i/h)**2))

ef = 0.5*h + 0.01

DeltaC(x) = exp(-x/ef)*(1.0-tanh(i/h))

plot DeltaL(x) w l lw 3 t 'Linblad reduction',\
     DeltaC(x) w l lw 3 t 'Corotation reduction'

pa -1 

set term png small
set out "reductions.png"
rep

q

