#!/usr/bin/gnuplot

gms = 39.47841760
M_S = 1.989e30
M_E = 5.972e24

f(m) = m/gms*M_S/M_E
g(m) = sqrt(f(m))*3.0

set term x11

set xl ""
set yl "{/Helvetica-Oblique m} [{/Helvetica-Oblique M}_E]" offset +1,0

set xr [0.15:1.80]
set yr [0:1.6]
set cbr [0:1.2]

set xtics format ""
set key samplen 0.5 spacing 1.3 font "Helvetica,14"
set nocolorbox

#set label "0.05   " at graph 0,first 0.065 right font "Helvetica,14"

set style line 1 lt 1 lw 1.5 lc rgb 'orange' pt 7 ps var
set style line 2 lt 1 lc rgb 'gray' pt 7 ps var
set style line 3 lt 1 lc rgb '#999999' pt 6 ps var

set lmargin 7.0
set rmargin 1.5
set bmargin 0.5
set tmargin 0.5

p \
  "<cat ../../symba11b_reductions3/*/10My.out" u 3:(f($9)):(g($9)) t "N-body simulations" ls 2,\
  "<cat ../../symba11b_reductions3/*/10My.out" u 3:(f($9)):(g($9)) not ls 3,\
  "<awk '{ print $3*(1-$4),$9; print $3*(1+$4),$9; print s; }' ../../symba11b_reductions3/*/10My.out" u 1:(f($2)) not w l ls 3,\
  "<awk '{ print ARGIND,$0; }' ../../symba11b_reductions3/038/10My.out" u 4:(f($10)):(g($10)):(f($10)) t "best-fit" w p ls 1 lc palette z,\
  "<awk '{ print $3*(1-$4),$9; print $3*(1+$4),$9; print s; }' ../../symba11b_reductions3/038/10My.out" u 1:(f($2)) not w l ls 1,\
  "ss.dat" u 3:6:(g($6*gms/M_S*M_E)) t "Solar System" w p lt 2 lw 3 pt 6 ps var,\
  "<awk '{ print $3*(1-$4),$6; print $3*(1+$4),$6; print s; }' ss.dat" u 1:2 not w l lt 2 lw 1.5,\
  0.05 not w l lt 0

#pa -1

set term post eps enh color solid "Helvetica,18"
set out "am_symba11b_reductions3_038.eps"
set size 0.65,0.75
rep


