#!/usr/bin/gnuplot

gms = 39.47841760
M_S = 1.989e30
M_E = 5.972e24

f(m) = m/gms*M_S/M_E
g(m) = sqrt(f(m))*2.5

set term post eps enh color solid "Helvetica,18"
set out "at_symba9_J.eps"
set size 0.65,0.60

set xl "{/Helvetica-Oblique t} [yr]" offset 0,0.2
set yl "{/Helvetica-Oblique a} [au]" offset +1,0
set cbl "{/=14 {/Helvetica-Oblique m} [{/Helvetica-Oblique M}_E]}" offset -0.0,4.9

set xr [-0.10e7:1.10e7]
set yr [0.15:1.85]
set cbr [0:1.2]

set xtics (\
  "{/=14 0}"            0.0e6,\
  "{/=14 2{\264}10^6}"  2.0e6,\
  "{/=14 4{\264}10^6}"  4.0e6,\
  "{/=14 6{\264}10^6}"  6.0e6,\
  "{/=14 8{\264}10^6}"  8.0e6,\
  "{/=14 10^7}"         1.0e7 \
  )
set cbtics 0.2 offset 0.0,2.1 font "Helvetica,14"
set nokey
set colorbox horizontal user origin 0.105,0.505 size 0.5225,0.02

tmp=0.e7; set arrow from tmp,graph 0 to tmp,graph 1 nohead front lt 0
tmp=1.e7; set arrow from tmp,graph 0 to tmp,graph 1 nohead front lt 0

set lmargin 7.0
set rmargin 1.5
set bmargin 2.9
set tmargin 2.9

p "<awk '($2<=1.0e7)' ../../symba9/J_*/follow.out"  u 2:3:(f($9)) w d lc palette z,\
  "<cat ../../symba9/J_*/initial.out" u (-0.05e7):3:(g($9)):(f($9)) w p pt 7 ps var lc palette z,\
  "<cat ../../symba9/J_*/final.out"   u ( 1.05e7):3:(g($9)):(f($9)) w p pt 7 ps var lc palette z
  


